### Method

# GUPnPAV LastChangeParser parse_last_change_valist

#### Declaration [src]

    gboolean
    gupnp_last_change_parser_parse_last_change_valist (
      GUPnPLastChangeParser* parser,
      guint instance_id,
      const char* last_change_xml,
      GError** error,
      va_list var_args
    )

#### Description [src]

See gupnp_last_change_parser_parse_last_change(); this version takes a va_list for use by language bindings.

This method is not directly available to language bindings.

#### Parameters

`instance_id`

  Type: `guint`

  The ID of the AV instance caller is interested in.

`last_change_xml`

  Type: `const char*`

  The xml from the “LastChange” event to parse.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError`

  The location where to store any error, or NULL.

  The data is owned by the caller of the method.

`var_args`

  Type: `va_list`

  A va_list of tuples of state variable name, state variable type, and state variable value location, terminated with NULL. The state variable values should be freed after use.

#### Return value

Type: `gboolean`

TRUE on success.